> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/documents-requests/placesignatures.md).

# placeSignatures

### Overview

Parameters:

* String - doc token
* [RubricaList](/english/facilitators/sdks/java-sdk/used-classes/body/rubricalist.md)

Retorno:

* int- success
* Exception - failure

To place signatures in this doc we need::

* set your api token.
* set your doc token.
* set your signatures.
* call the method.

### Usage:

Import the relevant components:

```java
import body.doc.Rubrica;
import body.doc.RubricaList;
import docs.DocRequests;

import java.util.ArrayList;
```

Set your [Api Token](/english/master.md):

```java
String apiToken = "YOUR TOKEN";
```

Set your doc token:

```java
String docToken = "DOC TOKEN";
```

Set your signatures list with the class [RubricaList](/english/facilitators/sdks/java-sdk/used-classes/body/rubricalist.md) that contains arrays of [Rubrica](/english/facilitators/sdks/java-sdk/used-classes/body/rubrica.md) class:

```java
Rubrica rubrica1 = Rubrica.builder()
                .page(0)
                .relative_position_bottom(52.50)
                .relative_position_left(75.71)
                .relative_size_x(19.55)
                .relative_size_y(9.42)
                .type("signature")
                .signer_token("TOKEN SIGNER")
                .build();

Rubrica rubrica2 = Rubrica.builder()
        .page(0)
        .relative_position_bottom(13.50)
        .relative_position_left(20.71)
        .relative_size_x(19.55)
        .relative_size_y(9.42)
        .type("visto")
        .signer_token("TOKEN SIGNER"
        .build();

ArrayList<Rubrica> _rubricas = new ArrayList<>();
_rubricas.add(rubrica1);
_rubricas.add(rubrica2);

RubricaList rubricaList = RubricaList.builder()
                .rubricas(_rubricas)
                .build();
```

Call the method placeSignatures and receive as a response an integer containing the status code of the response or an error message:

```java
try {
    int statusCode = new DocRequests(apiToken).placeSignatures(docToken, rubricaList);
    System.out.println(statusCode);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Example:

<pre class="language-java"><code class="lang-java">import body.doc.Rubrica;
import body.doc.RubricaList;
import docs.DocRequests;

import java.util.ArrayList;

public class PlaceSignatures {
    public static void main(String[] args) throws Exception {
<strong>        String apiToken = "YOUR TOKEN";
</strong>
        String docToken = "DOC TOKEN";

        Rubrica rubrica1 = Rubrica.builder()
                .page(0)
                .relative_position_bottom(52.50)
                .relative_position_left(75.71)
                .relative_size_x(19.55)
                .relative_size_y(9.42)
                .type("signature")
                .signer_token("TOKEN SIGNER")
                .build();

        Rubrica rubrica2 = Rubrica.builder()
                .page(0)
                .relative_position_bottom(13.50)
                .relative_position_left(20.71)
                .relative_size_x(19.55)
                .relative_size_y(9.42)
                .type("visto")
                .signer_token("TOKEN SIGNER")
                .build();

        ArrayList&#x3C;Rubrica> _rubricas = new ArrayList&#x3C;>();
        _rubricas.add(rubrica1);
        _rubricas.add(rubrica2);

        RubricaList rubricaList = RubricaList.builder()
                .rubricas(_rubricas)
                .build();

        try {
            int statusCode = new DocRequests(apiToken).placeSignatures(docToken, rubricaList);
            System.out.println(statusCode);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/documents-requests/placesignatures.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
